Subject: RE: sudo and runas
From: "Jon Ewing" <[email-masked]>
To: "'Chris January'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 10 Mar 2003 09:28:47 -0000

> > > Is this any use?
> > >
> > > http://www.doc.ic.ac.uk/~ccj00/twiki/bin/view/Cygwin/CygwinSu
> > >
> > > Chris
> >
> > jon@shuttle (.../jon/tmp) % su root
> > Password:
> > su: cannot run /bin/bash: Permission denied
>
> Make sure /bin/bash is world executable.

-rwxr-xr-x 1 root admin 596480 Nov 22 19:32 /bin/bash.exe

That's what I found so confusing... ;)

> > (I've renamed 'Administrator' as 'root' in /etc/passwd)
> >
> > jon@shuttle (/home/jon) % su dba
> > Password:
> > su: cannot set user id: Permission denied
>
> Doesn't seem to be authenticating properly here. Are you sure 
> dba has network logon priveleges?

I think so... I can certainly

jon@shuttle (~) % ssh -l dba localhost

and that works fine. Ditto for root, and then bash executes fine. I can
also log in as dba from the XP logon screen.

Thanks for your help - I'd really like to get this to work.

Jon.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/